/***************************************************************************
	file:			tcn75a_config.h
	product:	API-005
	descr:		Diese API ist mit stack2Learn I2C-003 2-Wire Temperatur Sensor TCN75A kompatibel.
						
						Mehr Infos findes Du in tcn75a.h und auf stack2Learn.de

	date: 		11.2013 - first release

	version 	1.0
	compiler:	Keil Cx51 V9.05

	mc:				AT89C5131A
	crystal:	24MHz

	author: 	Viktor Schabelski info@approbe.de
	licence:	Creative Commons Lizenz
                http://www.stack2Learn.de/cc.html
**************************************************/


# ifndef _TCN75A_CONFIG_H
	# define _TCN75A_CONFIG_H

/*-----------------------------------------------------------------------------
	includes
---------------------------------------------------*/
//#include <at89c5131.h>




/*-----------------------------------------------------------------------------
	keil editor wizard
---------------------------------------------------*/
//<<< Use Configuration Wizard in Context Menu >>>
// <h> Sensor Configuration Register (CONFIG)
// <o.0>Shutdown
//				<0x00=> DISABLE
//				<0x01=> ENABLE
// <o.1>COMP/INT
//				<0x00=> Comparator Mode
//				<0x01=> Interrupt Mode
// <o.2>ALERT POLARITY
//				<0x00=> ACTIVE-LOW
//				<0x01=> ACTIVE-HIGH
// <o.3..4>FAULT QUEUE
//				<0x00=> 1 Fault
//				<0x01=> 2 Faults
//				<0x02=> 4 Faults
//				<0x03=> 6 Faults
// <o.5..6>ADC RESOLUTION
//				<0x00=> 9-bit (0,5)
//				<0x01=> 10-bit (0,25)
//				<0x02=> 11-bit (0,125)
//				<0x03=> 12-bit (0,0625)
// <o.7>ONE SHOT
//				<0x00=> DISABLE
//				<0x01=> ENABLE

#define TCN75A_CONFIG_BYTE	0x00



// </h>

// <h> Slave Adresse TCN75A
// <o.1> Jumper A0
//				<0x00=> 0x00
//				<0x01=> 0x01
// <o.2> Jumper A1
//				<0x00=> 0x00
//				<0x01=> 0x01
// <o.3> Jumper A2
//				<0x00=> 0x00
//				<0x01=> 0x01
//<i> Slave Adresse des Bausteins
#define TCN75A_SLAVE_ADDRESS 0x90
		

// </h>

// end of configuration section >>>







#endif